Page MenuHomePhabricator

Add missing wb_entity_per_page entries on LinksUpdate
Closed, DeclinedPublic

Description

In addition to T50506: It is possible to run the entity_per_page recreation code on a per entity base on a LinksUpdate?

A LinksUpdate is usally trigged on edit/nulledit and with api action=purge&forcelinkupdate=

On normal wikis you can use this to update the links tables like categorylinks or templatelinks to the current state of the page. In my opinion this is also needed for wikibase items, than every one can trigger that and the wb_entity_per_page table will be up to date. No need for a maintenance script to be run, because nobody knows, if sometimes a entity is still missing.

Details

Reference
bz49982

Related Objects

StatusAssignedTask
DeclinedNone
ResolvedLadsgroup
Resolvedadrianheine
Resolveddaniel
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
Resolvedhoo
Resolvedhoo
Resolvedhoo
Resolvedhoo
DeclinedNone
ResolvedLydia_Pintscher
ResolvedNone
ResolvedWMDE-leszek
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedLadsgroup
Resolvedaude
ResolvedMarostegui
ResolvedLadsgroup
ResolvedAndrew
ResolvedLadsgroup
Resolvedaude
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedMarostegui
ResolvedAndrew

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:50 AM
bzimport set Reference to bz49982.
bzimport added a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).

@Lydia_Pintscher @daniel As wb_entity_per_page is going to be dropped, do we need to keep this task?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2015, 9:09 AM
daniel closed this task as Declined.Apr 28 2017, 12:29 PM

We are dropping wb_entity_per_page, so this has become moot.